/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/XML.h"

namespace morpheo              {
namespace behavioural          {

  string XML::get_body (void)
  {
    return _body;
  };

  string XML::get_body (uint32_t depth)
  {
    string body       = _body;
    string tabulation = indent(depth);

    body.insert(0,tabulation);
    for (size_t pos=body.find('\n',0); pos<body.length()-1; pos=body.find('\n',++pos))
      body.insert(++pos,tabulation);

    return body;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
